var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __objRest = (source, exclude) => {
  var target = {};
  for (var prop in source)
    if (__hasOwnProp.call(source, prop) && exclude.indexOf(prop) < 0)
      target[prop] = source[prop];
  if (source != null && __getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(source)) {
      if (exclude.indexOf(prop) < 0 && __propIsEnum.call(source, prop))
        target[prop] = source[prop];
    }
  return target;
};
import React, { useContext } from "react";
import classnames from "classnames";
import ConfigProviderContext from "../config-provider/ConfigProviderContext";
const Steps = (_a) => {
  var _b = _a, {
    children,
    className,
    style
  } = _b, props = __objRest(_b, [
    "children",
    "className",
    "style"
  ]);
  const {
    prefixCls,
    createNamespace
  } = useContext(ConfigProviderContext);
  const [bem] = createNamespace("steps", prefixCls);
  return /* @__PURE__ */ React.createElement("div", {
    className: classnames(className, bem([props.direction])),
    style
  }, /* @__PURE__ */ React.createElement("div", {
    className: classnames(bem("items"))
  }, React.Children.toArray(children).filter(Boolean).map((child, index) => /* @__PURE__ */ React.cloneElement(child, {
    index,
    parent: props
  }))));
};
Steps.defaultProps = {
  active: 0,
  direction: "horizontal",
  activeIcon: "checked"
};
var stdin_default = Steps;
export {
  stdin_default as default
};
